Subject: Re: bug#77928: 31.0.50; ebcde0f90f6 (bug#77928) breaks :custom-face for themed faces

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jun 2025 22:10:03 +0300

> From: Kristoffer Balintona <[email-masked]>
> Date: Sun, 8 Jun 2025 11:40:55 -0700
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> On Sun, Jun 08 2025, John Wiegley wrote:
> 
> >>>>>> Steven Allen <[email-masked]> writes:
> >
> >> It would help to better understand how it was intended to behave:
> >
> >> - Should :custom-face override the theme or should the theme override
> >>   :custom-face?
> >
> > I’ve never used themes before, so I wasn’t thinking of them at all when the
> > feature was added. Someone who uses themes a lot, and customizes them, should
> > be asked this question.
> 
> FWIW, I haven’t been following this thread closely, but as a user who
> hadn’t thought at all about the technical sides of things, what I simply
> expected of :custom-face was that it be applied on top of any existing
> theme customizations, not that it override them.

Thanks, but what is your mental model of "applied on top" vs
"override", in the context of face settings?  Unless you explain that,
I cannot understand what are your expectations, because "applied on
top" and "override" are not useful descriptions when talking about
faces, due to the fact that a face has quite a few attributes, and
some of them could be inherited from other faces.